=== debian/changelog ===
dablin (1.8.0-1) unstable; urgency=medium

  * New upstream version.
  * debian/*.1 dropped.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Thu, 22 Feb 2018 14:44:08 +0100

dablin (1.7.0-2) unstable; urgency=medium

  * Remove compiler optimisations from fec/*. (Closes: #887923)

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Mon, 22 Jan 2018 12:09:08 +0100

dablin (1.7.0-1) unstable; urgency=medium

  * Initial release. (Closes: #870808)

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Thu, 18 Jan 2018 12:57:30 +0100
