=== src/CMakeLists.txt ===
--- 
+++ 
@@ -24,7 +24,7 @@
     )
 
 set(common_link_list
-    fec
+    atomic fec
     ${CMAKE_THREAD_LIBS_INIT} ${MPG123_LIBRARIES} ${SDL2_LIBRARIES} ${AAC_LIB} ${ICONV_LIBRARIES}
     )
 
@@ -37,12 +37,14 @@
 
 # dablin
 add_executable(dablin ${dablin_sources} ${dablin_cli_sources})
+set_property(TARGET dablin APPEND PROPERTY LINK_FLAGS -Wl,--as-needed)
 target_link_libraries(dablin ${common_link_list})
 install(TARGETS dablin DESTINATION bin)
 
 # dablin_gtk
 if(GTKMM_FOUND)
     add_executable(dablin_gtk ${dablin_sources} ${dablin_gtk_sources})
+    set_property(TARGET dablin_gtk APPEND PROPERTY LINK_FLAGS -Wl,--as-needed)
     target_link_libraries(dablin_gtk ${common_link_list} ${GTKMM_LIBRARIES})
     install(TARGETS dablin_gtk DESTINATION bin)
 endif()
