=== debian/changelog ===
dablin (1.8.2-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Thu, 22 Mar 2018 07:13:01 +0100

dablin (1.8.1-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Thu, 15 Mar 2018 09:58:54 +0100
