=== src/CMakeLists.txt ===
--- 
+++ 
@@ -21,11 +21,12 @@
     mot_manager.cpp
     pad_decoder.cpp
     dablin_gtk.cpp
+    dablin_gtk_sls.cpp
     )
 
 set(common_link_list
-    atomic fec
-    ${CMAKE_THREAD_LIBS_INIT} ${MPG123_LIBRARIES} ${SDL2_LIBRARIES} ${AAC_LIB} ${ICONV_LIBRARIES}
+    fec
+    ${ATOMIC_LIBRARIES} ${CMAKE_THREAD_LIBS_INIT} ${MPG123_LIBRARIES} ${SDL2_LIBRARIES} ${AAC_LIB} ${ICONV_LIBRARIES}
     )
 
 include_directories(../fec)
@@ -37,14 +38,12 @@
 
 # dablin
 add_executable(dablin ${dablin_sources} ${dablin_cli_sources})
-set_property(TARGET dablin APPEND PROPERTY LINK_FLAGS -Wl,--as-needed)
 target_link_libraries(dablin ${common_link_list})
 install(TARGETS dablin DESTINATION bin)
 
 # dablin_gtk
 if(GTKMM_FOUND)
     add_executable(dablin_gtk ${dablin_sources} ${dablin_gtk_sources})
-    set_property(TARGET dablin_gtk APPEND PROPERTY LINK_FLAGS -Wl,--as-needed)
     target_link_libraries(dablin_gtk ${common_link_list} ${GTKMM_LIBRARIES})
     install(TARGETS dablin_gtk DESTINATION bin)
 endif()
