=== debian/control ===
Source: dablin
Section: hamradio
Priority: optional
Maintainer: Gürkan Myczko <gurkan@phys.ethz.ch>
Build-Depends: debhelper (>= 11), cmake, libmpg123-dev, libfaad-dev, libsdl2-dev, libgtkmm-3.0-dev
Standards-Version: 4.2.1
Homepage: http://www.opendigitalradio.org/

Package: dablin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: CLI and GTK+ GUI DAB & DAB+ receiver client
 This plays a DAB and DAB+ audio service – either from a received live
 transmission or from a stored ensemble recording (frame-aligned ETI-
 NI). Both DAB (MP2) and DAB+ (AAC-LC, HE-AAC, HE-AAC v2) services are
 supported by DABlin.
