## dablin 1.12.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -54,11 +54,28 @@
 endif()
 
 if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_COMPILER_IS_CLANGXX)
+    # C++11
     add_compile_options(-std=c++0x)
+    
+    # warnings
     add_compile_options(-Wall)
     add_compile_options(-Wextra)
 elseif(MSVC)
     # TODO
+endif()
+if(CMAKE_COMPILER_IS_GNUCXX)
+    if(CMAKE_BUILD_TYPE STREQUAL "Release")
+        # strip symbols (TODO: add also for clang)
+        SET(CMAKE_EXE_LINKER_FLAGS  "${CMAKE_EXE_LINKER_FLAGS} -s")
+    endif()
+    
+    # hardening (TODO: add also for clang/Cygwin)
+    add_compile_options(-fstack-protector-strong)
+    add_compile_options(-fPIE)
+    SET(CMAKE_EXE_LINKER_FLAGS  "${CMAKE_EXE_LINKER_FLAGS} -pie")
+    if(NOT CYGWIN)
+        SET(CMAKE_EXE_LINKER_FLAGS  "${CMAKE_EXE_LINKER_FLAGS} -z now")
+    endif()
 endif()
 
 # support 2GB+ files on 32bit systems
