=== src/CMakeLists.txt ===
--- 
+++ 
@@ -4,6 +4,10 @@
 
 list(APPEND dablin_sources
     dabplus_decoder.cpp
+    ensemble_source.cpp
+    ensemble_player.cpp
+    edi_source.cpp
+    edi_player.cpp
     eti_source.cpp
     eti_player.cpp
     dab_decoder.cpp
