=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Gürkan Myczko <gurkan@phys.ethz.ch>
 Build-Depends: debhelper (>= 11), cmake, libmpg123-dev, libfaad-dev, libsdl2-dev, libgtkmm-3.0-dev
-Standards-Version: 4.2.1
+Standards-Version: 4.4.1
 Homepage: http://www.opendigitalradio.org/
 
 Package: dablin
