=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: dablin
 Section: hamradio
 Priority: optional
-Maintainer: Gürkan Myczko <gurkan@phys.ethz.ch>
+Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
+XSBC-Original-Maintainer: Gürkan Myczko <gurkan@phys.ethz.ch>
 Build-Depends: debhelper (>= 11), cmake, libmpg123-dev, libfaad-dev, libsdl2-dev, libgtkmm-3.0-dev
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: http://www.opendigitalradio.org/
 
 Package: dablin
