## dablin 1.14.0

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -25,6 +25,7 @@
     mot_manager.cpp
     pad_decoder.cpp
     dablin_gtk.cpp
+    dablin_gtk_dl_plus.cpp
     dablin_gtk_sls.cpp
     )
