=== debian/changelog ===
dablin (1.14.0-1) unstable; urgency=medium

  * New upstream version.
  * Bump standards version to 4.6.0.
  * Bump debhelper version to 13, drop d/compat.
  * d/copyright: bump years.
  * d/upstream/metadata: added.

 -- Gürkan Myczko <tar@debian.org>  Wed, 12 Jan 2022 19:11:38 +0100
