=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: dablin
 Section: hamradio
 Priority: optional
-Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
-XSBC-Original-Maintainer: Gürkan Myczko <gurkan@phys.ethz.ch>
-Build-Depends: debhelper (>= 11), cmake, libmpg123-dev, libfaad-dev, libsdl2-dev, libgtkmm-3.0-dev
-Standards-Version: 4.5.0
+Maintainer: Gürkan Myczko <tar@debian.org>
+Build-Depends: debhelper-compat (= 13), cmake, libmpg123-dev, libfaad-dev, libsdl2-dev, libgtkmm-3.0-dev
+Standards-Version: 4.6.0
 Homepage: http://www.opendigitalradio.org/
 
 Package: dablin
