## dablin 1.15.0

=== debian/changelog ===
dablin (1.15.0-1build3) noble; urgency=medium

  * Rebuild against new libmpg123t64.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 05 Apr 2024 08:19:48 +0200

dablin (1.15.0-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:41:02 +1100

dablin (1.15.0-1build1) noble; urgency=medium

  * No-change rebuild against libglibmm-2.4-1t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 14 Mar 2024 16:00:10 +0000

dablin (1.15.0-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.
  * debian/control: Bump Standards-Version to 4.6.2.
  * debian/rules: Remove explicit linking option -Wl,--not-needed.

 -- Boyuan Yang <byang@debian.org>  Wed, 11 Oct 2023 12:55:33 -0400

dablin (1.14.0-2) unstable; urgency=medium

  * QA upload.
  * Set maintainer to Debian QA Group <packages@qa.debian.org>. (see: #972989)

 -- Marcos Talau <talau@debian.org>  Sat, 12 Nov 2022 10:12:38 -0300
