=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: dablin
 Section: hamradio
 Priority: optional
-Maintainer: Gürkan Myczko <tar@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends: debhelper-compat (= 13), cmake, libmpg123-dev, libfaad-dev, libsdl2-dev, libgtkmm-3.0-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: http://www.opendigitalradio.org/
 
 Package: dablin
