=== debian/changelog ===
dablin (1.16.0-2) unstable; urgency=medium

  * QA upload.

  * Added d/gbp.conf to describe branch layout.
  * Updated vcs in d/control to Salsa.
  * Updated d/gbp.conf to enforce the use of pristine-tar.
  * Updated Standards-Version from 4.6.2 to 4.7.0.
  * Use wrap-and-sort -at for debian control files.
  * Updated patch metadata information.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 16 Jun 2024 16:16:03 +0200

dablin (1.16.0-1) unstable; urgency=medium

  * QA upload
  * New upstream release (Closes: #1068513)
  * debian/copyright: Update copyright years

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 08 Apr 2024 23:10:14 +0200
