=== debian/changelog ===
dablin (1.16.1-1) unstable; urgency=low

  * QA upload.
  * New upstream release.
    - Fixes FTBFS with CMake 4. (Closes: #1112825)

 -- Adrian Bunk <bunk@debian.org>  Sat, 25 Oct 2025 19:51:17 +0300
