=== debian/control ===
Source: dablin
Section: hamradio
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               libfaad-dev,
               libgtkmm-3.0-dev,
               libmpg123-dev,
               libsdl2-dev,
Standards-Version: 4.7.0
Homepage: http://www.opendigitalradio.org/
Vcs-Browser: https://salsa.debian.org/debian/dablin
Vcs-Git: https://salsa.debian.org/debian/dablin.git

Package: dablin
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: CLI and GTK+ GUI DAB & DAB+ receiver client
 This plays a DAB and DAB+ audio service – either from a received live
 transmission or from a stored ensemble recording (frame-aligned ETI-
 NI). Both DAB (MP2) and DAB+ (AAC-LC, HE-AAC, HE-AAC v2) services are
 supported by DABlin.
